Name:		qsa
Summary:	Qt Script for Applications
Version:	1.2.1
Release:	3%{?dist}

License: 	GPL
Group: 		Development/Libraries
URL:		http://www.trolltech.com/products/qt/
Source: 	ftp://ftp.trolltech.com/qsa/source/qsa-x11-opensource-%{version}.tar.gz
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel

%define qtdir %(pkg-config QtTest --variable=prefix) 
%define qtinc %(pkg-config QtTest --variable=includedir)
%define qtlib %(pkg-config QtTest --variable=libdir)

%package devel
Summary:	Development and doc files for qsa 
Requires:	%{name} = %{version}
Requires:	qt4-devel
Group:		Development/Libraries

%description
Qt Script for Applications can be used to build scripable applications with Qt.
The workbench tool is included in this release.

%description devel
Development files and the documentation

%prep
%setup -q -n %{name}-x11-opensource-%{version}

%build
export QTDIR=%{qtdir}
export QTINC=%{qtinc}
export QTLIB=%{qtlib}
export PATH=$QTDIR/bin:$PATH
./configure -release -new-editor -prefix %{qtdir}
make %{?_smp_mflags} -e INSTALL_ROOT=$RPM_BUILD_ROOT sub-src

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} -e INSTALL_ROOT=$RPM_BUILD_ROOT install 
rm -rf $RPM_BUILD_ROOT/%{qtdir}/doc
#remove uneeded files
rm -f examples/qsa.prf
find examples -name "Makefile.*" | xargs rm -f
find examples -name ".obj*" | xargs rm -rf
find examples -name ".ui*" | xargs rm -rf
find examples -name ".moc*" | xargs rm -rf
find examples -name ".rcc" | xargs rm -rf

#remove load entry from .pro files
find examples -name "*.pro" | xargs sed -i "/..\/qsa/d" 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE.GPL changes*
%defattr(-,root,root,-)
%{qtdir}/lib/libqsa.so.*

%files devel
%defattr(-,root,root,-)
%{qtinc}/*
%{qtlib}/libqsa.so
%{qtdir}/mkspecs/features/qsa.prf
%doc examples
%doc doc/html

%changelog 
* Sun May 28 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-3%{?dist}
- fix dependency's and remove now unnecessary help stuff

* Sun May 14 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-2%{?dist}
- Path of Qt not need to be hard coded now. (Must be checked with the 
  ready Qt package)
- add exemples to the devel package

* Sat May 13 2006 Frank Büttner  <frank-buettner@gmx.net> - 1.2.1-1%{?dist}
- start build the package
